﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.5
@EndOfDesignText@
#Event: FCI_Click
#Event: TR_Click
#DesignerProperty: Key: Elevation, DisplayName: Elevation, FieldType: Int, DefaultValue: 0, Description: Custom View Base Elevation.

Sub Class_Globals
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	
	Private Const DefaultColorConstant As Int = -984833 'ignore
	Private const PrimaryTextColor As Int = Colors.RGB(139,0,0)
	Private const SecondaryTextColor As Int = Colors.RGB(0,0,139)
	Private const PrimaryBackgroundColor As Int = Colors.RGB(255,235,205)
	Private const SecondaryBackgroundColor As Int = Colors.RGB(253,245,230)
	Private const PrimaryBorderColor As Int = Colors.RGB(218,165,32)
	Private const SecondaryBorderColor As Int = Colors.RGB(218,165,32)
	Private const ButtonColor As Int = Colors.RGB(245,222,179)
	
	Private mBase As Panel
	Private mParent As View
	
	Private Label11 As Label
	Private Label12 As Label
	Private Label13 As Label
	Private Label14 As Label
	Private Label15 As Label
	Private Label16 As Label
	
	Private Button1 As Panel
	
	Private PrimaryDrawable As ColorDrawable
	Private SecondaryDrawable As ColorDrawable
	Private ButtonDrawable As ColorDrawable
	
End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
	
	PrimaryDrawable.Initialize2(PrimaryBackgroundColor, 3dip, 1dip, PrimaryBorderColor)
	SecondaryDrawable.Initialize2(SecondaryBackgroundColor, 3dip, 1dip, SecondaryBorderColor)
	ButtonDrawable.Initialize2(ButtonColor, 3dip, 1dip, SecondaryBorderColor)
	
	Label11.Initialize("")
	Label12.Initialize("")
	Label13.Initialize("")
	Label14.Initialize("Label14")
	Label15.Initialize("Label15")
	Label16.Initialize("")
	
	Button1.Initialize("Button1")
End Sub

Public Sub DesignerCreateView (Base As Panel, Lbl As Label, Props As Map)
	mBase = Base
	mParent = Base.Parent
	
	
	mBase.Background = PrimaryDrawable
	mBase.Elevation = DipToCurrent(Props.Get("Elevation"))
	mBase.Width = mParent.Width
	mBase.Height = 82dip
	
	mBase.AddView(Label11, 0dip, 0dip, 100%x, 25dip)
	Label11.Text = "CRIT Report Creator"
	Label11.TextColor = PrimaryTextColor
	Label11.TextSize = 12
	Label11.Typeface = Typeface.DEFAULT_BOLD
	Label11.Gravity = Gravity.CENTER
	
	mBase.AddView(Label12, 30dip, 22dip, 60dip, 30dip)
	Label12.Text = "N° FCI :"
	Label12.TextColor = PrimaryTextColor
	Label12.TextSize = 14
	Label12.Typeface = Typeface.DEFAULT
	Label12.Gravity = Gravity.RIGHT
	
	mBase.AddView(Label13, 30dip, 52dip, 60dip, 30dip)
	Label13.Text = "Trançon :"
	Label13.TextColor = PrimaryTextColor
	Label13.TextSize = 14
	Label13.Typeface = Typeface.DEFAULT
	Label13.Gravity = Gravity.RIGHT
	
	mBase.AddView(Label14, 95dip, 22dip, 230dip, 25dip)
	Private cdw As ColorDrawable
	cdw.Initialize2(SecondaryBackgroundColor, 3dip, 1dip, SecondaryBorderColor)
'	Label14.Background = SecondaryDrawable
	Label14.Background = cdw
	Label14.Text = ""
	Label14.TextColor = SecondaryTextColor
	Label14.TextSize = 16
	Label14.Typeface = Typeface.DEFAULT_BOLD
	Label14.Gravity = Gravity.LEFT & Gravity.CENTER_VERTICAL
	
	mBase.AddView(Label15, 95dip, 52dip, 115dip, 25dip)
	Private cdw As ColorDrawable
	cdw.Initialize2(SecondaryBackgroundColor, 3dip, 1dip, SecondaryBorderColor)
'	Label15.Background = SecondaryDrawable
	Label15.Background = cdw
	Label15.Text = ""
	Label15.TextColor = SecondaryTextColor
	Label15.TextSize = 16
	Label15.Typeface = Typeface.DEFAULT_BOLD
	Label15.Gravity = Gravity.LEFT & Gravity.CENTER_VERTICAL
	
	mBase.AddView(Button1, 215dip, 52dip, 110dip, 25dip)
	Button1.Background = ButtonDrawable
	Button1.Elevation = 3dip
	
	Button1.AddView(Label16, -5dip, 0dip, 115dip, 25dip)
	Label16.Text = "GENERATE"
	Label16.TextColor = SecondaryBorderColor
	Label16.TextSize = 16
	Label16.Typeface = Typeface.DEFAULT_BOLD
	Label16.Gravity = Gravity.CENTER
End Sub

Public Sub GetBase As Panel
	Return mBase
End Sub

Private Sub Label14_Click
	If SubExists(mCallBack, mEventName & "_FCI_Click") Then
		CallSubDelayed(mCallBack, mEventName & "_FCI_Click")
	End If
End Sub

Private Sub Label15_Click
	If SubExists(mCallBack, mEventName & "_TR_Click") Then
		CallSubDelayed(mCallBack, mEventName & "_TR_Click")
	End If
End Sub