﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.5
@EndOfDesignText@
''Custom View class 
'#Event: ExampleEvent (Value As Int)
'#DesignerProperty: Key: BooleanExample, DisplayName: Boolean Example, FieldType: Boolean, DefaultValue: True, Description: Example of a boolean property.
'#DesignerProperty: Key: IntExample, DisplayName: Int Example, FieldType: Int, DefaultValue: 10, MinRange: 0, MaxRange: 100, Description: Note that MinRange and MaxRange are optional.
'#DesignerProperty: Key: StringWithListExample, DisplayName: String With List, FieldType: String, DefaultValue: Sunday, List: Sunday|Monday|Tuesday|Wednesday|Thursday|Friday|Saturday
'#DesignerProperty: Key: StringExample, DisplayName: String Example, FieldType: String, DefaultValue: Text
'#DesignerProperty: Key: ColorExample, DisplayName: Color Example, FieldType: Color, DefaultValue: 0xFFCFDCDC, Description: You can use the built-in color picker to find the color values.
'#DesignerProperty: Key: DefaultColorExample, DisplayName: Default Color Example, FieldType: Color, DefaultValue: Null, Description: Setting the default value to Null means that a nullable field will be displayed.
Sub Class_Globals
	Private mEventName As String 'ignore
	Private mCallBack As Object 'ignore
	
	Private Const DefaultColorConstant As Int = -984833 'ignore
'	Private const PrimaryTextColor As Int = Colors.RGB(139,0,0)
'	Private const SecondaryTextColor As Int = Colors.RGB(0,0,139)
'	Private const PrimaryBackgroundColor As Int = Colors.RGB(255,235,205)
'	Private const SecondaryBackgroundColor As Int = Colors.RGB(253,245,230)
'	Private const PrimaryBorderColor As Int = Colors.RGB(218,165,32)
'	Private const SecondaryBorderColor As Int = Colors.RGB(218,165,32)
'	Private const ButtonColor As Int = Colors.RGB(245,222,179)
	
	Private mBase As Panel
	Private mParent As View
	
'	Private PrimaryDrawable As ColorDrawable
'	Private SecondaryDrawable As ColorDrawable
'	Private ButtonDrawable As ColorDrawable
End Sub

Public Sub Initialize (Callback As Object, EventName As String)
	mEventName = EventName
	mCallBack = Callback
	
	
'	PrimaryDrawable.Initialize2(PrimaryBackgroundColor, 3dip, 1dip, PrimaryBorderColor)
'	SecondaryDrawable.Initialize2(SecondaryBackgroundColor, 3dip, 1dip, SecondaryBorderColor)
'	ButtonDrawable.Initialize2(ButtonColor, 3dip, 1dip, SecondaryBorderColor)
	
End Sub

Public Sub DesignerCreateView (Base As Panel, Lbl As Label, Props As Map)
	mBase = Base
	mParent = mBase.Parent
	mBase.Elevation = 10dip
	mBase.Visible = False
End Sub

Public Sub GetBase As Panel
	Return mBase
End Sub

Public Sub ShowInputPanel
	Private xParent As B4XView = mParent
	Private xBackgroundImage As B4XBitmap = xParent.Snapshot
	Wait For(Blur(xBackgroundImage)) Complete (Result As B4XBitmap)
	mBase.SetBackgroundImage(Result)
	mBase.SetVisibleAnimated(400,True)
End Sub

Private Sub Blur (bmp As B4XBitmap) As ResumableSub
'	Dim n As Long = DateTime.Now
	Dim bc As BitmapCreator
	Dim ReduceScale As Int = 2
	bc.Initialize(bmp.Width / ReduceScale / bmp.Scale, bmp.Height / ReduceScale / bmp.Scale)
	bc.CopyPixelsFromBitmap(bmp)
	Dim count As Int = 3
	Dim clrs(3) As ARGBColor
	Dim temp As ARGBColor
	Dim m As Int
	For steps = 1 To count
		For y = 0 To bc.mHeight - 1
			For x = 0 To 2
				bc.GetARGB(x, y, clrs(x))
			Next
			SetAvg(bc, 1, y, clrs, temp)
			m = 0
			For x = 2 To bc.mWidth - 2
				bc.GetARGB(x + 1, y, clrs(m))
				m = (m + 1) Mod clrs.Length
				SetAvg(bc, x, y, clrs, temp)
			Next
		Next
		For x = 0 To bc.mWidth - 1
			For y = 0 To 2
				bc.GetARGB(x, y, clrs(y))
			Next
			SetAvg(bc, x, 1, clrs, temp)
			m = 0
			For y = 2 To bc.mHeight - 2
				bc.GetARGB(x, y + 1, clrs(m))
				m = (m + 1) Mod clrs.Length
				SetAvg(bc, x, y, clrs, temp)
			Next
		Next
	Next
	
'	Log(DateTime.Now - n)
	Return bc.Bitmap
End Sub

Private Sub SetAvg(bc As BitmapCreator, x As Int, y As Int, clrs() As ARGBColor, temp As ARGBColor)
	temp.Initialize
	For Each c As ARGBColor In clrs
		temp.r = temp.r + c.r
		temp.g = temp.g + c.g
		temp.b = temp.b + c.b
	Next
	temp.a = 255
	temp.r = temp.r / clrs.Length
	temp.g = temp.g / clrs.Length
	temp.b = temp.b / clrs.Length
	bc.SetARGB(x, y, temp)
End Sub